Below is the list of changes that have just been committed into a local
4.0 repository of lenz. When lenz does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet
1.2163 05/10/13 22:10:54 lenz@stripped +1 -0
- added a usermod call in the postinstall section of the RPM spec file
to assign a potential existing mysql user to the correct user group (BUG#12823)
support-files/mysql.spec.sh
1.94 05/10/13 22:10:51 lenz@stripped +11 -4
- added a usermod call to assign a potential existing mysql user to the
correct user group (BUG#12823)
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: lenz
# Host: metis.lenznet
# Root: /space/my/mysql-4.0
--- 1.93/support-files/mysql.spec.sh 2005-09-29 13:55:52 +02:00
+++ 1.94/support-files/mysql.spec.sh 2005-10-13 22:10:51 +02:00
@@ -2,6 +2,7 @@
%define release 0
%define license GPL
%define mysqld_user mysql
+%define mysqld_group mysql
%define server_suffix -standard
%define mysqldatadir /var/lib/mysql
@@ -371,18 +372,20 @@
# Create a MySQL user and group. Do not report any problems if it already
# exists.
-groupadd -r %{mysqld_user} 2> /dev/null || true
-useradd -M -r -d $mysql_datadir -s /bin/bash -c "MySQL server" -g %{mysqld_user}
%{mysqld_user} 2> /dev/null || true
+groupadd -r %{mysqld_group} 2> /dev/null || true
+useradd -M -r -d $mysql_datadir -s /bin/bash -c "MySQL server" -g %{mysqld_group}
%{mysqld_user} 2> /dev/null || true
+# The user may already exist, make sure it has the proper group nevertheless (BUG#12823)
+usermod -g %{mysqld_group} %{mysqld_user} 2> /dev/null || true
# Change permissions so that the user that will run the MySQL daemon
# owns all database files.
-chown -R %{mysqld_user}:%{mysqld_user} $mysql_datadir
+chown -R %{mysqld_user}:%{mysqld_group} $mysql_datadir
# Initiate databases
%{_bindir}/mysql_install_db -IN-RPM --user=%{mysqld_user}
# Change permissions again to fix any new files.
-chown -R %{mysqld_user}:%{mysqld_user} $mysql_datadir
+chown -R %{mysqld_user}:%{mysqld_group} $mysql_datadir
# Fix permissions for the permission database so that only the user
# can read them.
@@ -562,6 +565,10 @@
# itself - note that they must be ordered by date (important when
# merging BK trees)
%changelog
+* Thu Oct 13 2005 Lenz Grimmer <lenz@stripped>
+
+- added a usermod call to assign a potential existing mysql user to the
+ correct user group (BUG#12823)
* Thu Sep 29 2005 Lenz Grimmer <lenz@stripped>
- fixed the removing of the RPM_BUILD_ROOT in the %clean section (the
| Thread |
|---|
| • bk commit into 4.0 tree (lenz:1.2163) BUG#12823 | lenz | 13 Oct |